#ifndef CONFIG_H_
#define CONFIG_H_

#include <include_closed/common/Common.h>

/**
 * The rest of this is delcared in the closed tree.
 */

struct Config;
typedef struct Config Config;

enum FileCacheType;
typedef enum FileCacheType FileCacheType;

enum InodeIDStyle;
typedef enum InodeIDStyle InodeIDStyle;


extern void __Config_addLineToConfigMap(Config* this, char* line);

// getters & setters
extern FileCacheType Config_getTuneFileCacheTypeNum(Config* this);
extern unsigned Config_getTunePageCacheValidityMS(Config* this);
extern unsigned Config_getTuneAttribCacheValidityMS(Config* this);
extern fhgfs_bool Config_getTuneRemoteFSync(Config* this);
extern InodeIDStyle Config_getSysInodeIDStyleNum(Config* this);
extern fhgfs_bool Config_getSysCreateHardlinksAsSymlinks(Config* this);


enum FileCacheType
   {FILECACHETYPE_None = 0, FILECACHETYPE_Buffered = 1, FILECACHETYPE_Paged = 2};

enum InodeIDStyle
   {INODEIDSTYLE_Dynamic = 0, INODEIDSTYLE_Hash32 = 1};

#endif /* CONFIG_H_ */
